package it.integry.integrywmsnative.core.class_router;

import java.util.HashMap;

import it.integry.integrywmsnative.core.class_router.interfaces.ICustomConfiguration;
import it.integry.integrywmsnative.core.utility.UtilityHashMap;

public class BaseCustomConfiguration implements ICustomConfiguration {


    public static class Keys {
        public static int FLAG_SHOW_COD_FORN_IN_SPEDIZIONE = 1;
        public static int CUSTOM_DYNAMIC_VERSION_PATH = 2;
        public static int FLAG_SPEDIZIONE_GROUP_BY_GRP_MERC = 3;
    }

    protected HashMap<Integer, Object> configurations = new HashMap<>() {{
        put(Keys.FLAG_SHOW_COD_FORN_IN_SPEDIZIONE, true);
        put(Keys.FLAG_SPEDIZIONE_GROUP_BY_GRP_MERC, false);
    }};



    @Override
    public <T> T getConfig(int key) {
        return UtilityHashMap.getValue(configurations, key);
    }

}
